Package org.apache.tapestry5.runtime

# Class ComponentEventException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.tapestry5.commons.internal.util.TapestryException
org.apache.tapestry5.runtime.ComponentEventException

All Implemented Interfaces:
  `Serializable`, `Locatable`

public class ComponentEventException extends TapestryException
A wrapper exception around any exception thrown when invoking a component event handler. In some cases, the underlying exception may have been a declared exception, and will be wrapped in a RuntimeException.

See Also:
  - `ExceptionUtils.findCause(Throwable, Class)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentEventException(String message, String eventType, EventContext context, Object location, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventContext`
  `getContext()`
  `String`
  `getEventType()`

  ### Methods inherited from class org.apache.tapestry5.commons.internal.util.TapestryException

  `getLocation, toString`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComponentEventException

    public ComponentEventException(String message, String eventType, EventContext context, Object location, Throwable cause)
    Parameters:
      `message` - exception message
      `eventType` - type of event that triggered the exception
      `context` - context passed with the failed event
      `location` - location of the component while failed (may be null)
      `cause` - underlying exception

- ## Method Details

  - ### getEventType

    public String getEventType()

  - ### getContext

    public EventContext getContext()